%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  timevarcorr
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Time Varying Correlation

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-lpridge 
Requires:         R-CRAN-lpridge 

%description
Computes how the correlation between 2 time-series changes over time. To
do so, the package follows the method from Choi & Shin (2021)
<doi:10.1007/s42952-020-00073-6>. It performs a non-parametric kernel
smoothing (using a common bandwidth) of all underlying components required
for the computation of a correlation coefficient (i.e., x, y, x^2, y^2,
xy). An automatic selection procedure for the bandwidth parameter is
implemented. Alternative kernels can be used (Epanechnikov, box and
normal). Both Pearson and Spearman correlation coefficients can be
estimated and change in correlation over time can be tested.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
